Package picard.analysis

## Class RrbsCpgDetailMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.metrics.MultilevelMetrics
    - - picard.analysis.RrbsCpgDetailMetrics

-     public final class RrbsCpgDetailMetrics
      extends MultilevelMetrics

  Holds information about CpG sites encountered for RRBS processing QC

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Integer` | `CONVERTED_SITES` | Number of times this CpG site was converted (TG for + strand, CA for - strand)
    `Double` | `PCT_CONVERTED` | CpG CONVERTED_BASES / CpG TOTAL_BASES (fraction)
    `Integer` | `POSITION` | Position within the sequence of the CpG site
    `String` | `SEQUENCE_NAME` | Sequence the CpG is seen in
    `Integer` | `TOTAL_SITES` | Number of times this CpG site was encountered

    - ### Fields inherited from class picard.metrics.MultilevelMetrics

      `LIBRARY, READ_GROUP, SAMPLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RrbsCpgDetailMetrics()` |

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SEQUENCE_NAME

          public String SEQUENCE_NAME

      Sequence the CpG is seen in

    - #### POSITION

          public Integer POSITION

      Position within the sequence of the CpG site

    - #### TOTAL_SITES

          public Integer TOTAL_SITES

      Number of times this CpG site was encountered

    - #### CONVERTED_SITES

          public Integer CONVERTED_SITES

      Number of times this CpG site was converted (TG for + strand, CA for - strand)

    - #### PCT_CONVERTED

          public Double PCT_CONVERTED

      CpG CONVERTED_BASES / CpG TOTAL_BASES (fraction)

  - ### Constructor Detail

    - #### RrbsCpgDetailMetrics

          public RrbsCpgDetailMetrics()